
QGIS Application - Bug report #3679

eVis not working with point layers

2011-03-25 02:27 PM - Donkagen2 -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13738

Description

eVis Event ID and Browser have both stopped working.

Usning trunk and load a project that works with 1.6.0, using eVis ID and clicking on a point that works with 1.6.0 - the screen flashes and

redraws, but no eVis window opens.

The behaviour with the Evis Event Browser is the same - screen flash but no eVis dialog.

History

#1 - 2011-03-29 02:36 AM - Bill Williamson

- Status changed from Open to Closed

- Resolution set to worksforme

Works for me

Win7 rev 15622

#2 - 2011-03-29 03:11 AM - Donkagen2 -

- Status changed from Closed to Feedback

- Resolution deleted (worksforme)

Replying to [comment:1 billywill]:

Works for me

Win7 rev 15622

Just tried it again with XP (SP3) rev 15622 and it still doesn't work.

Could this be something specific to XP and/or my installation?

#3 - 2011-03-29 03:12 AM - Giovanni Manghi

Replying to [comment:2 Donkagen2]:

Replying to [comment:1 billywill]:

Works for me

Win7 rev 15622
Just tried it again with XP (SP3) rev 15622 and it still doesn't work.

Could this be something specific to XP and/or my installation?

try post sample data so we can test locally

#4 - 2011-03-29 03:51 AM - Donkagen2 -

Replying to [comment:3 lutra]:

Replying to [comment:2 Donkagen2]:

Replying to [comment:1 billywill]:

Works for me

Win7 rev 15622

Just tried it again with XP (SP3) rev 15622 and it still doesn't work.

Could this be something specific to XP and/or my installation?

try post sample data so we can test locally

File "eVis problem.zip" attached. Contains minimal project with a single point shapefile with attributes identifying files to open via eVis.

#5 - 2011-04-06 10:02 AM - Donkagen2 -

Tried again with rev 15676 and the previously uploaded project file. 

Select point layer, select eVis event ID tool, click on a feature... screen flash, but nothing else. Then close QGIS - crash.

#6 - 2011-04-13 05:30 AM - geofff -

Hi,

Same problem for me (windows 7, qgis 1.7.0 15695 )

Evis works well with qgis 1.6 but not with 1.7.0 (from osgeo4w).

I select a layer (point or line), open evis event ID tool or event brower : nothing happen, no flash, no movement. But when i choose "data base connection",

it works, a window appears.

#7 - 2011-04-13 05:45 AM - geofff -

Replying to [comment:6 geofff]:

Hi,

Same problem for me (windows 7, qgis 1.7.0 15695 )

Evis works well with qgis 1.6 but not with 1.7.0 (from osgeo4w).

I select a layer (point or line), open evis event ID tool or event brower : nothing happen, no flash, no movement. But when i choose "data base

connection", it works, a window appears.
Edit : after trying to open evis event ID tool or event brower without results, i close qgis and it crashs, just like Donkagen2

#8 - 2011-04-17 12:59 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Feedback to Closed

Should be fixed in commit:fbd10b55 (SVN r15741)

Files

eVis_problem.zip 4.34 KB 2011-03-29 Donkagen2 -
